#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1997 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
BUILDPREFIX=${BUILDPREFIX-`pwd`}
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
   shift
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir ediff
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib

cd $BUILDPREFIX/ediff
mkdir ediff
cd $BUILDPREFIX/ediff/ediff
cat  $SOURCEDIR/ediff/ediff_v2.z | uncompress  | sed -e "/^#/b copy" -e "/^:/b copy" -e "/^--*[]*[Cc][Uu][Tt]/b comment" -e d -e :comment -e "s/^./#/" -e :copy -e n -e "b copy" ${1-} | /bin/sh
test -f  $SOURCEDIR/ediff/$machine/ediff &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/ediff/$machine/ediff | patch -s -p -b .rtr )
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib/ediff
cc -o ediff ediff.c

strip ediff
install ediff $INSTALLDIR/bin
install ediff.1 $INSTALLSHAREDIR/man/man1

cd ..
cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/ediff ; fi
