#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1997 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
BUILDPREFIX=${BUILDPREFIX-`pwd`}
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
   shift
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../COMMON/GUESS. UPPER`
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir gzip
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib


cd $BUILDPREFIX/gzip
cat $SOURCEDIR/GZIP/GZI124GZ. | uncompress | tar xvf -
cd gzip-1.2.4
(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/GZIP/RTR/GZIP. | patch -s -p  )
configure --prefix=$INSTALLDIR
make
make install
cd ..
cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/gzip ; fi
