#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1997 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
BUILDPREFIX=${BUILDPREFIX-`pwd`}
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
   shift
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../COMMON/GUESS. UPPER`
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir ipl
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib


cd $BUILDPREFIX/ipl
mkdir ipl-1.0
cd ipl-1.0
for file in $SOURCEDIR/IPL/PART*; do
zcat $file | unshar
done
(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/IPL/RTR/IPL. | patch -s -p )
test -f $SOURCEDIR/IPL/$MACHINE/IPL. &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/IPL/$MACHINE/IPL. | patch -b .rtr -s -p )
cd src
make
cd ..
mkdir -p $INSTALLSHAREDIR/${SHAREPREFIX}lib/ipl/tplates
cp bin/nicetab $INSTALLDIR/bin
cp bin/ipl $INSTALLDIR/bin
cp bin/pipl $INSTALLDIR/bin
/bin/ln $INSTALLDIR/bin/ipl $INSTALLDIR/bin/tipl
cp tplates/* $INSTALLSHAREDIR/${SHAREPREFIX}lib/ipl/tplates
mkdir -p $INSTALLSHAREDIR/${SHAREPREFIX}lib/extras/ipl
cp examples/* $INSTALLSHAREDIR/${SHAREPREFIX}lib/extras/ipl/
mkdir -p $INSTALLSHAREDIR/doc/ipl
cp Introduction Cover $INSTALLSHAREDIR/doc/ipl
cd ..
cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/ipl ; fi
